Name:           perl-p5-Palm
Version:        1.011
Release:        2%{?dist}
Summary:        Palm OS utility functions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/p5-Palm/
Source0:        http://www.cpan.org/authors/id/B/BD/BDFOY/p5-Palm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides functions and handlers to manipulate files used
by Palm PDAs (AddressBook, ToDo, Memo, ...).

%prep
%setup -q -n p5-Palm-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
cp -r %{_builddir}/p5-Palm-%{version}/examples $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes FAQ LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/pdbdump
%{_mandir}/man1/pdbdump.1.gz

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.011-2
- rebuild against perl 5.10.1

* Mon Sep 21 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.011-1
- Update to 1.011
- Fix an rpmlint complaint in the changelog

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.009-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2007 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.009-3
- Add Test::More to the BuildRequires so that the tests can actually run

* Tue Jun 16 2007 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.009-2
- Enable tests
- Add examples directory to the documentation

* Mon Jun 11 2007 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.009-1
- Specfile autogenerated by cpanspec 1.70.
